<template>
  <view>
		<ujp-navbar title="退费申请"></ujp-navbar>	
		<view class="paySuccess">
			<u-icon name="chenggong" custom-prefix="custom-icon" size="180" color="#00B962"></u-icon>
			<view class="title">退费申请成功</view>
			<p>退费中，预计0-5个工作日退还至原支付账户</p>
		</view>
		<view class="paySuccess-btn">
			<u-button class="success-btn" shape="circle" type="success" @click="finish">
				<span>完成</span>
			</u-button>
		</view>
  </view>
</template>

<script>
	import * as api from "@/apis/refund.js"
	export default {
		data() {
			return {
				elderMode:false,
				userId:'',
            }
		},
		onReady(){
			this.elderMode = this.carhelp.get('getElderModeClass') == '长辈模式';
			if(this.elderMode)
				this.theme('elder')
			else
				this.theme('standard')

			if (this.carhelp.getPersonInfo()) {
				this.userId = this.carhelp.getPersonInfo().id;
						
			}
		},
		methods: {
			theme(type) {
			  if(type == 'elder')	
			  {
				document.getElementsByTagName('body')[0].setAttribute('data-theme',type);
				  
			  }
			  else
			  {
				document.getElementsByTagName('body')[0].setAttribute('data-theme',type);
				  
			  } 
			},
			finish(){
				// uni.redirectTo({
				// 	url:'refundList'
				// })
				// uni.navigateTo({
				// 	url:"pages/index/index"
				// })
				uni.navigateBack()
			}
		}
	}
</script>
<style>
	page{
		background-color: #fff;
	}
</style>
<style lang="scss" scoped> 
	@import "@/_theme.scss";
	.paySuccess{
		text-align: center;
		padding: 50px 0;
		.title{
/*			font-size: 20px;*/
			margin-top: 40rpx;
			@include themeify{
				font-size:themed('font-size5'); 
				font-weight: themed('fontWeight');
				letter-spacing: themed('letterSpacing');
			}
		}
		.payPrice{
			display: flex;
			align-items: flex-end;
			justify-content: center;
			font{
				@include themeify{
					font-size:themed('font-size13');  
					line-height: themed('font-size13');
				}
/*				font-size: 36px;
				line-height: 36px;*/
			}
			margin-top: 40rpx;
		}
		p{
			color:#999;
			margin-top: 8rpx;
		}
	}
	.paySuccess-btn{
		display: flex;
		justify-content: space-between;
		padding: 0 80rpx;
	}
	.success-btn{
		background-color:#00B962!important;
		flex: 1;
		border-color: #00B962!important;
		color:#fff!important;
		@include themeify{
			font-size:themed('font-size2');  
			line-height: themed('font-size2');
			letter-spacing: themed('letterSpacing');
		}
	}
</style>
